openSUSE Security Update : harfbuzz (openSUSE-2016-986)

High Nessus Plugin ID 92993

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for harfbuzz fixes the following security issues :

- CVE-2016-2052: harfbuzz: Multiple unspecified vulnerabilities in HarfBuzz before 1.0.6 (boo#963436)

- CVE-2015-8947: harfbuzz: hb-ot-layout-gpos-table.hh buffer over-read (boo#989564)

Solution

Update the affected harfbuzz packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=963436

https://bugzilla.opensuse.org/show_bug.cgi?id=989564

Plugin Details

Severity: High

ID: 92993

File Name: openSUSE-2016-986.nasl

Version: Revision: 2.2

Type: local

Agent: unix

Published: 2016/08/17

Updated: 2016/10/13

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 7.6

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:harfbuzz-debugsource, p-cpe:/a:novell:opensuse:harfbuzz-devel, p-cpe:/a:novell:opensuse:harfbuzz-tools, p-cpe:/a:novell:opensuse:harfbuzz-tools-debuginfo, p-cpe:/a:novell:opensuse:libharfbuzz-icu0, p-cpe:/a:novell:opensuse:libharfbuzz-icu0-32bit, p-cpe:/a:novell:opensuse:libharfbuzz-icu0-debuginfo, p-cpe:/a:novell:opensuse:libharfbuzz-icu0-debuginfo-32bit, p-cpe:/a:novell:opensuse:libharfbuzz0, p-cpe:/a:novell:opensuse:libharfbuzz0-32bit, p-cpe:/a:novell:opensuse:libharfbuzz0-debuginfo, p-cpe:/a:novell:opensuse:libharfbuzz0-debuginfo-32bit, cpe:/o:novell:opensuse:13.2, cpe:/o:novell:opensuse:42.1

Patch Publication Date: 2016/08/16

Reference Information

CVE: CVE-2015-8947, CVE-2016-2052